고객 속성 정의
고객 속성 정의 수정
인증된 조직의 고객 속성 정의를 수정합니다. 생략한 필드는 유지합니다.
PATCH
/
customer-attribute-definitions
/
{definition_id}
고객 속성 정의 수정
curl --request PATCH \
--url https://client-api.tryvox.co/v3/customer-attribute-definitions/{definition_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"enum_options": [
"<string>"
]
}
'import requests
url = "https://client-api.tryvox.co/v3/customer-attribute-definitions/{definition_id}"
payload = {
"name": "<string>",
"description": "<string>",
"enum_options": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', enum_options: ['<string>']})
};
fetch('https://client-api.tryvox.co/v3/customer-attribute-definitions/{definition_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_active": true,
"created_at": 123,
"updated_at": 123,
"enum_options": [
"<string>"
]
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 5,
"window_seconds": 1
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Path Parameters
Body
application/json
수정할 고객 속성 정의 필드입니다. type은 수정할 수 없습니다.
수정할 수 있는 필드만 노출합니다. type은 수정할 수 없습니다.
Response
성공 응답
고객 속성 정의 UUID입니다.
조직 안에서 고유한 속성 이름입니다.
속성 값 유형입니다.
Available options:
string, number, boolean, enum, date 속성 설명입니다.
자동 추출 값의 갱신 방식입니다. 기존 값을 항상 덮어쓰거나, 기존 값이 비어 있을 때만 채울 수 있습니다.
Available options:
overwrite, fill_if_empty 정의의 활성 여부입니다.
리소스 생성 시각입니다. 밀리초 단위 unix timestamp입니다.
리소스 수정 시각입니다. 밀리초 단위 unix timestamp입니다.
enum 유형에서 허용하는 문자열 값 목록입니다. 다른 유형이면 null입니다.
Was this page helpful?
⌘I
고객 속성 정의 수정
